---
references:
- id: RogozhnikovEinops2022
  author:
    - family: Rogozhnikov
      given: Alex
  citation-key: RogozhnikovEinops2022
  issued:
    - year: 2022
  language: en
  page: '21'
  title: 'Einops: clear and reliable tensor manipulations with einstein-like notation'
  type: article-journal

- id: SmithOpt2018
  accessed:
    - year: 2022
      month: 4
      day: 27
  author:
    - family: Smith
      given: Daniel G.
      dropping-particle: a
    - family: Gray
      given: Johnnie
  citation-key: SmithOpt2018
  container-title: Journal of Open Source Software
  DOI: 10.21105/joss.00753
  ISSN: 2475-9066
  issue: '26'
  issued:
    - year: 2018
      month: 6
      day: 29
  language: en
  page: '753'
  title: >-
    opt_einsum - A Python package for optimizing contraction order for
    einsum-like expressions
  type: article-journal
  URL: https://joss.theoj.org/papers/10.21105/joss.00753
  volume: '3'

- id: vanderWaltNumPy2011
  author:
    - family: Walt
      given: Stefan
      non-dropping-particle: van der
    - family: Colbert
      given: S. Chris
    - family: Varoquaux
      given: Gael
  citation-key: vanderWaltNumPy2011
  container-title: Computing in Science Engineering
  DOI: 10.1109/MCSE.2011.37
  ISSN: 1558-366X
  issue: '2'
  issued:
    - year: 2011
      month: 3
  page: 22-30
  title: 'The NumPy Array: A Structure for Efficient Numerical Computation'
  type: article-journal
  volume: '13'
...
